package com.develop.food.base.http

import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Streaming
import retrofit2.http.Url


interface DownloadService {

    companion object {

        fun get(sourceUrl: String): DownloadService {
            return BaseRequest.get(DownloadService::class.java, HttpFactory(sourceUrl))
        }

    }

    @Streaming
    @GET
    fun downLoadPicture(@Url url: String): Call<ResponseBody>
}